cURL
curl --request GET \
--url https://api.usemoonshine.com/edit-indeximport requests
url = "https://api.usemoonshine.com/edit-index"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.usemoonshine.com/edit-index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usemoonshine.com/edit-index",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usemoonshine.com/edit-index"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usemoonshine.com/edit-index")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usemoonshine.com/edit-index")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "Media group has been edited",
"project_id": "123abc",
"project_name": "New Project Name",
"project_description": "New Project Description"
}{
"error": 123,
"message": "<string>"
}Indexes
Edit Index
Edits an existing media index/group details
GET
/
edit-index
cURL
curl --request GET \
--url https://api.usemoonshine.com/edit-indeximport requests
url = "https://api.usemoonshine.com/edit-index"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.usemoonshine.com/edit-index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usemoonshine.com/edit-index",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usemoonshine.com/edit-index"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usemoonshine.com/edit-index")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usemoonshine.com/edit-index")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "Media group has been edited",
"project_id": "123abc",
"project_name": "New Project Name",
"project_description": "New Project Description"
}{
"error": 123,
"message": "<string>"
}Query Parameters
The user ID owning the media index
ID of the project to edit
New name for the project. If not provided, remains unchanged
New description for the project. If not provided, remains unchanged
⌘I